GET /v1/credit_notes/preview/lines
Operation ID: GetCreditNotesPreviewLines
Auth: unknown
Description
<p>When retrieving a credit note preview, you’ll get a <strong>lines</strong> property containing the first handful of those items. This URL you can retrieve the full (paginated) list of line items.</p>
Parameters (15)
(integer, query, optional)
The integer amount in cents (or local equivalent) representing the total amount of the credit note.
(integer, query, optional)
The integer amount in cents (or local equivalent) representing the amount to credit the customer's balance, which will be automatically applied to their next invoice.
(string, query, optional)
A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.
Constraints: {'maxLength': 5000}
(array, query, optional)
Specifies which fields in the response should be expanded.
(string, query, required)
ID of the invoice.
Constraints: {'maxLength': 5000}
(integer, query, optional)
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
(array, query, optional)
Line items that make up the credit note.
(string, query, optional)
The credit note's memo appears on the credit note PDF.
Constraints: {'maxLength': 5000}
(object, query, optional)
Set of [key-value pairs](https://stripe.com/docs/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
(integer, query, optional)
The integer amount in cents (or local equivalent) representing the amount that is credited outside of Stripe.
(string, query, optional)
Reason for issuing this credit note, one of `duplicate`, `fraudulent`, `order_change`, or `product_unsatisfactory`
Constraints: {'enum': ['duplicate', 'fraudulent', 'order_change', 'product_unsatisfactory']}
(string, query, optional)
ID of an existing refund to link this credit note to.
(integer, query, optional)
The integer amount in cents (or local equivalent) representing the amount to refund. If set, a refund will be created for the charge associated with the invoice.
(object, query, optional)
When shipping_cost contains the shipping_rate from the invoice, the shipping_cost is included in the credit note.
(string, query, optional)
A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.
Constraints: {'maxLength': 5000}
No probe data for this endpoint yet.